## robotfindskitten 1.4142135.349

=== palmos/Makefile ===
TARGET = robotfindskitten
APPNAME = "robotfindskitten"
APPID = "Rfk1"

OBJS = rfk-palm.o rfk-memo.o
IMAGES = $(TARGET).bmp $(TARGET)Small.bmp rfk.bmp
# (need -I../src so that we can use the same messages.h)
INCS = -I. -I../src

CC = m68k-palmos-gcc
PERL = perl


# well, it's not really necessary to compile conditionally.  the color rfk
# checks your OS version so it's quite possible to run it on older OS.
# ifdeffing out the color code saves us a whopping.. let's see.. 716 bytes
# in version 003.  So I think I'll just compile one version from now on.
#CFLAGS = -Wall -g -O2 $(INCS) -palmos2 -DI_AM_OS_2

# to compile with color support:
CFLAGS = -Wall -g -O2 $(INCS) -palmos3.5 -DNON_INTERNATIONAL -DI_AM_COLOR

PILRC = pilrc
BUILDPRC = build-prc

all: $(TARGET).prc

.S.o:
	$(CC) $(TARGETFLAGS) -c $<

.c.s:
	$(CC) $(CSFLAGS) $<

$(TARGET).prc: $(TARGET) bin.stamp
	$(BUILDPRC) $(TARGET).def $(TARGET) *.bin

$(TARGET): $(OBJS)
	$(CC) $(CFLAGS) -o $(TARGET) $(OBJS)

bin.stamp: $(TARGET).rcp $(TARGET).pbm $(IMAGES)
	$(PILRC) $(TARGET).rcp .
	touch bin.stamp

# Check it out.. cheesy automatic subversion-number updating
$(TARGET).rcp: $(TARGET).rcp.in ../src/messages.h
	perl -n preprocess/tweak_rcp.pl < $(TARGET).rcp.in > $(TARGET).rcp

depend:
	makedepend -Y  *.c

dingy:
	-rm -f *.[oa] $(TARGET)

clean:
	-rm -f *.[oa] $(TARGET) *.bin bin.stamp *.grc core $(TARGET).rcp

veryclean: clean
	-rm -f $(TARGET).prc *.ld *.s
# DO NOT DELETE

rfk-memo.o: constants.h ../src/messages.h
rfk-palm.o: robotfindskittenRsc.h constants.h rfk-memo.h ../src/messages.h

=== palmos/preprocess/Makefile ===
INCLUDES = -I. -I../../src
CC = gcc
CFLAGS = -Wall -g -O2

count_messages: count_messages.o ../../src/messages.h
	$(CC) $(CFLAGS) -o count_messages count_messages.o

.c.o:
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

clean:
	-rm -f *.o count_messages core

## robotfindskitten 1.7320508.406

=== debian/changelog ===
robotfindskitten (1.7320508.406-5build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:45:24 +0000

robotfindskitten (1.7320508.406-5) unstable; urgency=medium

  * Fix installation name of desktop png icons
  * Add full pathname to .desktop
  * Remove menu file/xpm per tech-ctte #741573

 -- Ryan Finnie <ryan@finnie.org>  Sun, 29 Nov 2015 19:25:41 +0000

robotfindskitten (1.7320508.406-4) unstable; urgency=medium

  * Acknowledge NMU (Closes: #727956), thank you Chen Baozi
  * Add Vcs-Git plus related options (source/options, .gitignore)
  * Remove XS-Dm-Upload-Allowed
  * Bump Standards-Version to 3.9.6, no changes
  * Switch to debhelper compat 9 for automatic hardening
  * Install .desktop and icons (Closes: #738022)

 -- Ryan Finnie <ryan@finnie.org>  Sun, 29 Nov 2015 05:52:48 +0000

robotfindskitten (1.7320508.406-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf in build to support new architectures (Closes: #727956)

 -- Chen Baozi <baozich@gmail.com>  Fri, 06 Jun 2014 20:42:06 +0800

robotfindskitten (1.7320508.406-3) unstable; urgency=low

  * Housekeeping release (no user-visible changes)
  * Switch to dpkg-source 3.0 (quilt) format
  * Converted debian/rules to unified dh
  * Bumped debian/compat to 7

 -- Ryan Finnie <ryan@finnie.org>  Sun, 04 Sep 2011 14:34:22 -0700

robotfindskitten (1.7320508.406-2) unstable; urgency=low

  * Added direntry and rebuilt robotfindskitten.info (closes: #528888)
  * Lintian cleanup

 -- Ryan Finnie <ryan@finnie.org>  Sat, 15 Aug 2009 11:42:16 -0700

robotfindskitten (1.7320508.406-1) unstable; urgency=low

  * New upstream version. (closes: #199680)
  * debian/control: Added Homepage field.
  * debian/control: Removed Build-Depends: texinfo (robotfindskitten.info
    does not need to be rebuilt).

 -- Ryan Finnie <ryan@finnie.org>  Wed, 05 Dec 2007 01:38:37 -0800

robotfindskitten (1.4142135.349-5) unstable; urgency=low

  * Dm-Upload-Allowed changed to XS-Dm-Upload-Allowed so it may be exported
    to the .dsc.

 -- Ryan Finnie <ryan@finnie.org>  Mon, 26 Nov 2007 22:34:16 -0800

robotfindskitten (1.4142135.349-4) unstable; urgency=low

  * debian/rules: Don't touch(1) automake files; newer automakes (if
    present) will FTBFS if needed to regenerate, as touch(1) would do.

 -- Ryan Finnie <ryan@finnie.org>  Mon, 26 Nov 2007 13:55:23 -0800

robotfindskitten (1.4142135.349-3) unstable; urgency=low

  * debian/control: Added "Dm-Upload-Allowed: yes" for debian-maintainer
    Ryan Finnie.
  * debian/rules: changed deprecated dh_installmanpages to dh_installman

 -- Ryan Finnie <ryan@finnie.org>  Sat, 24 Nov 2007 22:55:27 -0800

robotfindskitten (1.4142135.349-2) unstable; urgency=low

  * New maintainer. (closes: #423893)
  * Lintian cleanup:
  *  debian/copyright: "Upstream Author(s)" to "Upstream Author"
  *  debian/copyright: Added common-license GPL location
  *  debian/rules: Moved DH_COMPAT to debian/compat
  *  debian/compat: Updated to compat version 5
  *  debian/control: Updated to standards version 3.7.2

 -- Ryan Finnie <ryan@finnie.org>  Mon, 14 May 2007 13:02:06 -0700

robotfindskitten (1.4142135.349-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuilt with no changes but a newer debhelper to complete /usr/doc
    transition. Closes: #322795

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Jan 2006 20:41:27 -0500

robotfindskitten (1.4142135.349-1) unstable; urgency=low

  * New upstream release
  * Added configure file to upstream release (closes: #165009)

 -- Neale Pickett <neale@debian.org>  Mon, 27 Jan 2003 09:02:24 -0800

robotfindskitten (0.1600005.344b-3) unstable; urgency=low

  * Updated to standards version 3.5.6.1
  * Updated debian/rules for automake >= 1.6 and libtool, added some make
    clean targets
  * Thanks to Aaron Haviland for these fixes!

 -- Neale Pickett <neale@debian.org>  Fri, 13 Sep 2002 16:39:51 -0700

robotfindskitten (0.1600005.344b-2) unstable; urgency=low
  
  * Added build-depends on libtool (closes: #121595)
  
 -- Neale Pickett <neale@debian.org>  Thu,  6 Dec 2001 08:12:10 -0800

robotfindskitten (0.1600005.344b-1) unstable; urgency=low

  * New version number, to be more in-line with upstream
  * Changed maintainer in control file, so I get bug reports instead of
    Nick Moffitt
  * Added build-depends: automake and autoconf (closes: #120862)
  * Updated info file to reflect current version

 -- Neale Pickett <neale@debian.org>  Tue, 27 Nov 2001 09:26:36 -0800

robotfindskitten (0.0.1600005-1) unstable; urgency=low
  
  * Initial packaging for woody
  * Changed versioning scheme to pass lintian check

 -- Neale Pickett <neale@debian.org>  Tue,  6 Nov 2001 21:59:24 -0800

robotfindskitten (v1600005_344b-1) unstable; urgency=low

  * Added contrib NKI

 -- Nick Moffitt <nick@zork.net>  Tue, 14 Aug 2001 11:16:08 -0700
    

robotfindskitten (v1600005_248b-1) unstable; urgency=low

  * Fixed stray null info file

 -- Nick Moffitt <nick@zork.net>  Sat, 10 Mar 2001 12:29:52 -0800

robotfindskitten (v1600005_248b) unstable; urgency=low

  * Sneakums patches applied

 -- Nick Moffitt <nick@zork.net>  Fri,  9 Mar 2001 23:42:13 -0800

robotfindskitten (v1600003_248b-1) unstable; urgency=low

  * Pre-Alpha Release.

 -- Nick Moffitt <nick@zork.net>  Wed, 21 Feb 2001 11:27:27 -0800

=== debian/control ===
Source: robotfindskitten
Section: games
Priority: optional
Maintainer: Ryan Finnie <ryan@finnie.org>
Homepage: http://www.robotfindskitten.org/
Build-Depends: debhelper (>= 9), libncurses5-dev, dh-autoreconf
Standards-Version: 3.9.6
Vcs-Browser: https://github.com/rfinnie/robotfindskitten-pkg-debian
Vcs-Git: https://github.com/rfinnie/robotfindskitten-pkg-debian

Package: robotfindskitten
Architecture: any
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}, ${shlibs:Depends}
Description: Zen Simulation of robot finding kitten
 In this simulation, you play the part of robot. Your task is to
 complete the simulation by finding kitten, as is your destiny, and
 indeed your wont.  You (robot) are represented by the # character, and
 you move around with the arrow keys touching things.  If the thing you
 touch is kitten, you get a cute little animation (which was cuter in
 the DOS version) and the simulation ends. Otherwise, you get a brief
 description of what it is you touched.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_install:
	dh_install
	install -m 0755 -d $(CURDIR)/debian/robotfindskitten/usr/share/icons/hicolor/48x48/apps
	install -m 0644 $(CURDIR)/debian/robotfindskitten-48.png \
		$(CURDIR)/debian/robotfindskitten/usr/share/icons/hicolor/48x48/apps/robotfindskitten.png
	install -m 0755 -d $(CURDIR)/debian/robotfindskitten/usr/share/icons/hicolor/512x512/apps
	install -m 0644 $(CURDIR)/debian/robotfindskitten-512.png \
		$(CURDIR)/debian/robotfindskitten/usr/share/icons/hicolor/512x512/apps/robotfindskitten.png
	install -m 0755 -d $(CURDIR)/debian/robotfindskitten/usr/share/applications
	install -m 0644 $(CURDIR)/debian/robotfindskitten.desktop \
		$(CURDIR)/debian/robotfindskitten/usr/share/applications/robotfindskitten.desktop

override_dh_installinfo:
	dh_installinfo
	rm -f \
		$(CURDIR)/debian/robotfindskitten/usr/share/info/dir \
		$(CURDIR)/debian/robotfindskitten/usr/share/info/dir.gz \
		$(CURDIR)/debian/robotfindskitten/usr/share/info/dir.old \
		$(CURDIR)/debian/robotfindskitten/usr/share/info/dir.old.gz \

## robotfindskitten 2.7182818.701

=== nki/Makefile ===
# Makefile.in generated by automake 1.11.3 from Makefile.am.
# nki/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/robotfindskitten
pkgincludedir = $(includedir)/robotfindskitten
pkglibdir = $(libdir)/robotfindskitten
pkglibexecdir = $(libexecdir)/robotfindskitten
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = nki
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(nkidir)"
DATA = $(nki_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/esr/WWW/robotfindskitten/missing --run aclocal-1.11
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/esr/WWW/robotfindskitten/missing --run autoconf
AUTOHEADER = ${SHELL} /home/esr/WWW/robotfindskitten/missing --run autoheader
AUTOMAKE = ${SHELL} /home/esr/WWW/robotfindskitten/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = -lncurses 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/esr/WWW/robotfindskitten/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = robotfindskitten
PACKAGE_BUGREPORT = rfk-dev@sourceforge.net
PACKAGE_NAME = robotfindskitten
PACKAGE_STRING = robotfindskitten 2.7182818.701
PACKAGE_TARNAME = robotfindskitten
PACKAGE_URL = 
PACKAGE_VERSION = 2.7182818.701
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
TAGLINE = mayan_apocalypse_edition
VERSION = 2.7182818.701
abs_builddir = /home/esr/WWW/robotfindskitten/nki
abs_srcdir = /home/esr/WWW/robotfindskitten/nki
abs_top_builddir = /home/esr/WWW/robotfindskitten
abs_top_srcdir = /home/esr/WWW/robotfindskitten
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/esr/WWW/robotfindskitten/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
nkidir = $(datadir)/games/robotfindskitten
nki_DATA = vanilla.nki
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu nki/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu nki/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-nkiDATA: $(nki_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(nkidir)" || $(MKDIR_P) "$(DESTDIR)$(nkidir)"
	@list='$(nki_DATA)'; test -n "$(nkidir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(nkidir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(nkidir)" || exit $$?; \
	done

uninstall-nkiDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(nki_DATA)'; test -n "$(nkidir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(nkidir)'; $(am__uninstall_files_from_dir)
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(nkidir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-nkiDATA

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-nkiDATA

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-nkiDATA \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \

=== debian/changelog ===
robotfindskitten (2.7182818.701-1build1) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:18:51 +0000

robotfindskitten (2.7182818.701-1) unstable; urgency=medium

  * New upstream release (Closes: #870575)
  * Install NKIs manually, as nki/Makefile is broken
  * Re-add Build-Depends: texinfo, compile patched
    robotfindskitten.texi on the fly
  * Skip dh_auto_test, as "make test" runs robotfindskiten, which is
    not exactly what we want.
  * Override lintian spelling-error-in-description wont won't

 -- Ryan Finnie <ryan@finnie.org>  Mon, 07 Aug 2017 02:49:14 +0000

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 %:
 	dh $@ --with autoreconf
+
+override_dh_auto_test:
+	# "make test" runs robotfindskitten, not exactly what we want here.
 
 override_dh_install:
 	dh_install
@@ -20,9 +23,16 @@
 		$(CURDIR)/debian/robotfindskitten/usr/share/applications/robotfindskitten.desktop
 
 override_dh_installinfo:
+	install -d -m 0755 $(CURDIR)/doc/compiled
+	makeinfo -o $(CURDIR)/doc/compiled/robotfindskitten.info doc/robotfindskitten.texi
 	dh_installinfo
 	rm -f \
 		$(CURDIR)/debian/robotfindskitten/usr/share/info/dir \
 		$(CURDIR)/debian/robotfindskitten/usr/share/info/dir.gz \
 		$(CURDIR)/debian/robotfindskitten/usr/share/info/dir.old \
 		$(CURDIR)/debian/robotfindskitten/usr/share/info/dir.old.gz \
+
+override_dh_clean:
+	dh_clean
+	$(RM) $(CURDIR)/doc/compiled/robotfindskitten.info
+	$(RM) -d $(CURDIR)/doc/compiled

## robotfindskitten 2.8284271.702

=== debian/changelog ===
robotfindskitten (2.8284271.702-1) unstable; urgency=medium

  * New upstream release
  * Revert all workarounds from 2.7182818.701-1
  * Add scalable SVG icon, remove unused XPM
  * Bump Standards-Version: 4.5.0 and cleanups

 -- Ryan Finnie <ryan@finnie.org>  Sun, 01 Mar 2020 22:41:33 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Ryan Finnie <ryan@finnie.org>
 Homepage: http://www.robotfindskitten.org/
-Build-Depends: debhelper (>= 9), libncurses5-dev, dh-autoreconf
-Standards-Version: 3.9.6
+Build-Depends: debhelper, debhelper-compat (= 12), libncurses5-dev
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Vcs-Browser: https://github.com/rfinnie/robotfindskitten-pkg-debian
 Vcs-Git: https://github.com/rfinnie/robotfindskitten-pkg-debian
 
@@ -18,4 +19,4 @@
  you move around with the arrow keys touching things.  If the thing you
  touch is kitten, you get a cute little animation (which was cuter in
  the DOS version) and the simulation ends. Otherwise, you get a brief
- description of what it is you touched. 
+ description of what it is you touched.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_install:
	dh_install
	install -m 0755 -d $(CURDIR)/debian/robotfindskitten/usr/share/icons/hicolor/48x48/apps
	install -m 0644 $(CURDIR)/debian/robotfindskitten-48.png \
		$(CURDIR)/debian/robotfindskitten/usr/share/icons/hicolor/48x48/apps/robotfindskitten.png
	install -m 0755 -d $(CURDIR)/debian/robotfindskitten/usr/share/icons/hicolor/512x512/apps
	install -m 0644 $(CURDIR)/debian/robotfindskitten-512.png \
		$(CURDIR)/debian/robotfindskitten/usr/share/icons/hicolor/512x512/apps/robotfindskitten.png
	install -m 0755 -d $(CURDIR)/debian/robotfindskitten/usr/share/icons/hicolor/scalable/apps
	install -m 0644 $(CURDIR)/debian/robotfindskitten.svg \
		$(CURDIR)/debian/robotfindskitten/usr/share/icons/hicolor/scalable/apps/robotfindskitten.svg
	install -m 0755 -d $(CURDIR)/debian/robotfindskitten/usr/share/applications
	install -m 0644 $(CURDIR)/debian/robotfindskitten.desktop \
		$(CURDIR)/debian/robotfindskitten/usr/share/applications/robotfindskitten.desktop
